none
WIN10 ver1703+VS2003 Winform應用軟體無法順利執行 RRS feed

  • 問題

  • 大家好,我在VS2003有開發一套應用系統,是winform的,在win10的1607版本是可以順利執行的,但到了win10的1703版本,在沒有安裝.netframework1.1時,winform可以執行,但crystal reports無法執行,在裝了.netframework1.1後,報表是可以執行,但部份程式就會出現錯誤,無法順利執行,以上作業系統皆是64位元,可否幫忙解答呢,感謝

    2017年5月31日 上午 10:19

解答

  • x64 的 OS 預設不裝 .Net 1.1 。

    至於 Win10 不知道有沒有支援 .Net 1.1 ... 依照微軟的慣例應該會支援 runtime ,但要找找看。

    建議你還是用 Visual Studio 2005 把 .Net 1.1 的升級到 .Net 2.0 。


    不精確的問法,就會得到隨便猜的答案;自己都不肯花時間好好描述問題,又何必期望網友會認真回答?

    2017年5月31日 上午 10:44
  • .NET 1.1 太久了,從VS2005的.NET 2.0開始,每一個版本都是建基於.NET 2.0(連VS2017也是),所以建議你把那程式,最起碼也升級到 .Net 2.0 (vs2005)或最新的.NET 版本 (VS2017)

    大家一齊探討、學習和研究,謝謝!
    MCSD, MCAD, MCSE+I, MCDBA, MCDST, MCSA, MCTS, MCITP, MCPD,
    MCT, Microsoft Community Star(TW & HK),
    Microsoft MVP for VB.NET since 2003
    My MSMVP Blog

    請記得將對您有幫助的回覆 標示為解答 以幫助其他尋找解答及參與社群討論的朋友們。
    Please remember to click Mark as Answer on the post that helps you. This can be beneficial to other community members reading the thread.

    2017年6月1日 上午 01:50

所有回覆

  • x64 的 OS 預設不裝 .Net 1.1 。

    至於 Win10 不知道有沒有支援 .Net 1.1 ... 依照微軟的慣例應該會支援 runtime ,但要找找看。

    建議你還是用 Visual Studio 2005 把 .Net 1.1 的升級到 .Net 2.0 。


    不精確的問法,就會得到隨便猜的答案;自己都不肯花時間好好描述問題,又何必期望網友會認真回答?

    2017年5月31日 上午 10:44
  • .NET 1.1 太久了,從VS2005的.NET 2.0開始,每一個版本都是建基於.NET 2.0(連VS2017也是),所以建議你把那程式,最起碼也升級到 .Net 2.0 (vs2005)或最新的.NET 版本 (VS2017)

    大家一齊探討、學習和研究,謝謝!
    MCSD, MCAD, MCSE+I, MCDBA, MCDST, MCSA, MCTS, MCITP, MCPD,
    MCT, Microsoft Community Star(TW & HK),
    Microsoft MVP for VB.NET since 2003
    My MSMVP Blog

    請記得將對您有幫助的回覆 標示為解答 以幫助其他尋找解答及參與社群討論的朋友們。
    Please remember to click Mark as Answer on the post that helps you. This can be beneficial to other community members reading the thread.

    2017年6月1日 上午 01:50